Bug 2357 - wrong configuration in /etc/emacs/site-start.d
: wrong configuration in /etc/emacs/site-start.d
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-mode-tdtd)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-11 17:02 by
Modified: 2004-06-06 18:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-11 17:02:06
В пакете emacs-mode-tdtd-0.71-alt0.6 в файле /etc/emacs/site-start.d/tdtd.el
имеются следующие ошибки:

1. Шаблоны для auto-mode-alist (\"\\.dcl$\" и т.п.) составлены
неправильно - \'\\\' должны дублироваться; кроме того, в стандартных шаблонах
вместо \"$\" используется \"\\\\\'\".  Т.е. шаблоны должны
выглядеть как \"\\\\.dcl\\\\\'\".

2. Вызов (resize-minibuffer-mode) неуместен в этом файле, к тому же в GNU Emacs
21 эта функция объявлена устаревшей и приводит только к бесполезной загрузке
файла с пустой её реализацией.

---

---
------- Comment #1 From 2003-03-18 12:22:39 -------
fix startup file
------- Comment #2 From 2003-03-18 12:22:39 -------
fix startup file
------- Comment #3 From 2003-03-20 18:08:14 -------
Not enough \'\\\' again (same problem as #0002356)
------- Comment #4 From 2003-03-20 18:08:14 -------
Not enough \'\\\' again (same problem as #0002356)
------- Comment #5 From 2003-12-16 12:13:11 -------
fixed
------- Comment #6 From 2004-01-26 20:42:25 -------
Still not fixed in emacs-mode-tdtd-0.71-alt1 - shell eats '\' when processing
the RPM scripts.

This can be fixed by adding the '' quoting in the spec (man bash):

%__cat <<'__INIT__' >%modename-init.el
------- Comment #7 From 2004-05-11 09:47:23 -------
исправлено, теперь уже окончательно